<?xml version="1.0"?>
<configuration>
  <configSections>
    
    <section name="SoftvSection" type="SoftvConfiguration.SoftvSection, SoftvConfiguration"/>
  </configSections>
  <connectionStrings>
    <add name="ConnectionString" connectionString="Server=192.168.50.100\eyenny;Database=newsoftv;User Id=sa;Password=0601x-2L" providerName="System.Data.SqlClient"/>
  </connectionStrings>
  <appSettings>
    <add key="aspnet:UseTaskFriendlySynchronizationContext" value="true"/>
    <add key="NoRegisterInBitacoraModules" value="BITACORA,MODULE"/>
    <add key="NoRegisterInBitacoraStartWith" value="GET"/>
    <add key="wcf:serviceHostingEnvironment:useClassicReadEntityBodyMode" value="true"/>
  <add key="databaseConnection" value="Server=192.168.50.100\eyenny;Database=newsoftv;User Id=sa;Password=0601x-2L"/>
  </appSettings>
  <system.web>
    <compilation targetFramework="4.5" debug="true"/>
    <httpRuntime targetFramework="4.5" maxRequestLength="2000000"/>
  </system.web>
  <system.serviceModel>
<bindings>
   <webHttpBinding>
    <binding maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" maxBufferSize="2147483647" transferMode="Streamed">
    </binding>  
   </webHttpBinding>
</bindings>
    <services>
      <service behaviorConfiguration="ServiceBehaviour" name="AppWCFService.AppWCFService">
        <endpoint address="Sistema" behaviorConfiguration="web" binding="webHttpBinding" contract="AppWCFService.Contracts.ISistema"/>
        <endpoint address="Movil" behaviorConfiguration="web" binding="webHttpBinding" contract="AppWCFService.Contracts.IMovil"/>
      </service>
    </services>
    <behaviors>
      <serviceBehaviors>
        <behavior name="ServiceBehaviour">
          <!-- To avoid disclosing metadata information, set the values below to false before deployment -->
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true"/>
          <!-- To receive exception details in faults for debugging purposes, set the value below to true.  Set to false before deployment to avoid disclosing exception information -->
          <serviceDebug includeExceptionDetailInFaults="true"/>
        </behavior>
      </serviceBehaviors>
      <endpointBehaviors>
        <behavior name="web">
          <webHttp/>
        </behavior>
      </endpointBehaviors>
    </behaviors>
    <protocolMapping>
      <add binding="basicHttpsBinding" scheme="https"/>
    </protocolMapping>
    <serviceHostingEnvironment aspNetCompatibilityEnabled="true" multipleSiteBindingsEnabled="true"/>
  </system.serviceModel>
  <system.webServer>
    <!--<httpProtocol>
      <customHeaders>
        <add name="Access-Control-Allow-Origin" value="*" />
      </customHeaders>
    </httpProtocol>-->
    <modules runAllManagedModulesForAllRequests="true"/>
    <!--
        To browse web app root directory during debugging, set the value below to true.
        Set to false before deployment to avoid disclosing web app folder information.
      -->
    <directoryBrowse enabled="true"/>
  </system.webServer>
	<runtime>
		<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.IdentityModel.Tokens" publicKeyToken="31BF3856AD364E35" culture="neutral"/>
				<bindingRedirect oldVersion="0.0.0.0-5.1.5.0" newVersion="5.1.5.0"/>
			</dependentAssembly>
			<dependentAssembly>
				<assemblyIdentity name="Microsoft.IdentityModel.Logging" publicKeyToken="31BF3856AD364E35" culture="neutral"/>
				<bindingRedirect oldVersion="0.0.0.0-1.1.5.0" newVersion="1.1.5.0"/>
			</dependentAssembly>
		</assemblyBinding>
	</runtime>
</configuration>
